1 #!/bin/sh
   2 
   3 #
   4 # Copyright (c) 2002, Oracle and/or its affiliates. All rights reserved.
   5 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
   6 #
   7 # This code is free software; you can redistribute it and/or modify it
   8 # under the terms of the GNU General Public License version 2 only, as
   9 # published by the Free Software Foundation.
  10 #
  11 # This code is distributed in the hope that it will be useful, but WITHOUT
  12 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  13 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  14 # version 2 for more details (a copy is included in the LICENSE file that
  15 # accompanied this code).
  16 #
  17 # You should have received a copy of the GNU General Public License version
  18 # 2 along with this work; if not, write to the Free Software Foundation,
  19 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  20 #
  21 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  22 # or visit www.oracle.com if you need additional information or have any
  23 # questions.
  24 #
  25 
  26 #  @test
  27 #  @bug 4684386
  28 #  @summary TTY: jdb throws IllegalArumentException on cmd line args
  29 #  @author Jim/suvasis
  30 #  @run shell JdbArgTest.sh
  31 
  32 #Call this from anywhere to fail the test with an error message
  33 # usage: fail "reason why the test failed"
  34 fail() 
  35  { echo "The test failed :-("
  36    echo "$*" 1>&2
  37    echo "exit status was $status"
  38    exit 1
  39  } #end of fail()
  40 
  41 #Call this from anywhere to pass the test with a message
  42 # usage: pass "reason why the test passed if applicable"
  43 pass() 
  44  { echo "The test passed!!!"
  45    echo "$*" 1>&2
  46    exit 0
  47  } #end of pass()
  48 
  49 # end of subroutines
  50 
  51 #Set appropriate jdk 
  52 
  53 if [ ! -z "${TESTJAVA}" ] ; then
  54      jdk="$TESTJAVA"
  55 else
  56      echo "--Error: TESTJAVA must be defined as the pathname of a jdk to test."
  57      exit 1
  58 fi
  59 
  60 echo quit | \
  61    $TESTJAVA/bin/jdb Server 0RBDebug subcontract,shutdown,transport 2>&1 | \
  62    fgrep IllegalArgumentException > /dev/null 2<&1
  63 
  64 if [ $? = 1 ] ; then
  65    pass " This test passed and jbd got no IllegalArgumentException"
  66 fi
  67 
  68 fail "FAILED: jdb got an IllegalArgumentException"
  69